-- LOAD SETTINGS
function LoadSettings()
	Settings_Char = Turbine.PluginData.Load( Turbine.DataScope.Character, "Notes_Settings" );

	if Settings_Char == nil then Settings_Char = {}; end
	if Settings_Char.W == nil then Settings_Char.W = string.format("%.0f", 300); end
	if Settings_Char.H == nil then Settings_Char.H = string.format("%.0f", 220); end
	if Settings_Char.X == nil then Settings_Char.X = string.format("%.0f", 20); end
	if Settings_Char.Y == nil then Settings_Char.Y = string.format("%.0f", 200); end
	if Settings_Char.T == nil then Settings_Char.T = 'account'; end
	if Settings_Char.N == nil then Settings_Char.N = L["WINNew"]; end
	if Settings_Char.TT == nil then Settings_Char.TT = 'false'; end
	if Settings_Char.V == nil then Settings_Char.V = 'false'; end

	NN_char = Settings_Char.N;
	current_type = Settings_Char.T;
	TT_show = Settings_Char.TT;



	Settings_Acc = Turbine.PluginData.Load( Turbine.DataScope.Account, "Notes_Settings" );
	
	if Settings_Acc == nil then Settings_Acc = {}; end
	if Settings_Acc.N == nil then Settings_Acc.N = L["WINNew"]; end
	
	NN_account = Settings_Acc.N;

end

-- SAVE SETTINGS
function SaveSettings()

	local width, height = Notes2:GetSize();
	local PosX, PosY = Notes2:GetPosition();

  Settings_Char = {};
	Settings_Char.W = string.format("%.0f",width);
	if Notes2.noteLabel:IsVisible() then
		Settings_Char.H = string.format("%.0f",height);
	else
		Settings_Char.H = string.format("%.0f",height+diff);
	end
	Settings_Char.X = string.format("%.0f",PosX);
	Settings_Char.Y = string.format("%.0f",PosY);
	Settings_Char.T = current_type;
	Settings_Char.N = NN_char;
	Settings_Char.TT = TT_show;
	Settings_Char.V = Notes2:IsVisible( );
	
	Turbine.PluginData.Save( Turbine.DataScope.Character, "Notes_Settings", Settings_Char );
	
	Settings_Acc ={};
	Settings_Acc.N = NN_account;
	
	Turbine.PluginData.Save( Turbine.DataScope.Account, "Notes_Settings", Settings_Acc );
end

-- LOAD THE NOTE DATA
function LoadNote()
	Notes_Char = Turbine.PluginData.Load( Turbine.DataScope.Character, "Notes" );

	if Notes_Char == nil then Notes_Char = { }; end
	
	Notes_Acc = Turbine.PluginData.Load( Turbine.DataScope.Account, "Notes" );

	if Notes_Acc == nil then Notes_Acc = { }; end
end

-- SAVE THE NOTE DATA
function SaveNote()
	if(current_type == 'character') then	
		Turbine.PluginData.Save( Turbine.DataScope.Character, "Notes", Notes_Char );
	elseif(current_type == 'account') then
		Turbine.PluginData.Save( Turbine.DataScope.Account, "Notes", Notes_Acc );
	else
		Turbine.Shell.WriteLine( L["MSGErr2"] );
	end
end

